#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Data-Dump
Version		:	1.23
Release		:	14.8.0.0%{?dist}
Summary		:	Pretty printing of data structures

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Data::Dump

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl
#-----------------------------------------------------------------------------
%description
This module provide a few functions that traverse their argument
and produces a string as its result. The string contains Perl code
that, when evaled, produces a deep copy of the original arguments.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes README
%{_datadir}/perl5/core_perl/Data/Dump.pm
%{_datadir}/perl5/core_perl/Data/Dump/Filter*.pm
%{_datadir}/perl5/core_perl/Data/Dump/Filter*.pm
%{_datadir}/perl5/core_perl/Data/Dump/Trace.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
